DOVEADM(1)

NAME
doveadm - Dovecot's administration utility

SYNOPSIS

doveadm [-DOkv] [-i instance-name] [-c config-file] [-o key=value [ .. ]] [-f formatter] command [command_options] [command_arguments]

DESCRIPTION

doveadm is the Dovecot administration tool. It can be used to manage various parts of Dovecot, as well as access users' mailboxes.

Execute doveadm help, for a command usage listing.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

COMMANDS

These commands work directly with Dovecot's master process.

  doveadm reload

Force dovecot(1) to reload the configuration.

  doveadm stop

Stop dovecot(1) and all its child processes.

ADDITIONAL MASTER COMMANDS

  doveadm config

doveconf(1), Dump Dovecot configuration.

  doveadm exec

doveadm-exec(1), Easily execute commands from Dovecot's libexec_dir.

  doveadm instance

doveadm-instance(1), Manage the list of running Dovecot instances.

  doveadm kick

doveadm-kick(1), Disconnect users by user name and/or IP address.

  doveadm log

doveadm-log(1), Locate, test or reopen Dovecot's log files.

  doveadm penalty

doveadm-penalty(1), Show current penalties.

  doveadm proxy

doveadm-proxy(1), Handle Dovecot proxy connections.

  doveadm who

doveadm-who(1), Show who is logged into the Dovecot server.

AUTHENTICATION COMMANDS

  doveadm auth

doveadm-auth(1), Test authentication for a user.

  doveadm pw

doveadm-pw(1), Dovecot's password hash generator.

  doveadm user

doveadm-user(1), Perform a user lookup in Dovecot's userdbs

MAILBOX COMMANDS

  doveadm acl

doveadm-acl(1), Manage Access Control List (ACL).

  doveadm altmove

doveadm-altmove(1), Move matching mails to the alternative storage.

  doveadm backup

doveadm-sync(1), Dovecot's one-way mailbox synchronization utility.

  doveadm copy

doveadm-move(1), Copy/move messages matching the given search query into another mailbox.

  doveadm deduplicate

doveadm-deduplicate(1), Expunge duplicate messages.

  doveadm dump

doveadm-dump(1), Dump the content of Dovecot's binary mailbox index/log.

  doveadm expunge

doveadm-expunge(1), Expunge messages matching given search query.

  doveadm fetch

doveadm-fetch(1), Fetch messages matching given search query.

  doveadm flags

doveadm-flags(1), Add, remove or replace messages' flags.

  doveadm force-resync

doveadm-force-resync(1), Repair broken mailboxes, in case Dovecot doesn't automatically do that.

  doveadm fs

doveadm-fs(1), Interact with the abstract mail storage filesystem.

  doveadm fts

doveadm-fts(1), Manipulate the Full Text Search (FTS) index.

  doveadm import

doveadm-import(1), Import messages matching given search query.

  doveadm index

doveadm-index(1), Index messages in a given mailbox.

  doveadm mail fs

doveadm-mail-fs(1), Interact with the abstract mail storage filesystem in a user context.

  doveadm mailbox

doveadm-mailbox(1), Various commands related to handling mailboxes.

  doveadm mailbox cryptokey

doveadm-mailbox-cryptokey(1), Mail crypt plugin management.

  doveadm move

doveadm-move(1), Move messages matching the given search query into another mailbox.

  doveadm purge

doveadm-purge(1), Remove messages with refcount=0 from mdbox files.

  doveadm quota

doveadm-quota(1), Initialize/recalculate or show current quota usage.

  doveadm rebuild

doveadm-rebuild(1), Rebuild index metadata from message data.

  doveadm save

doveadm-save(1), Save email to users' mailboxes.

  doveadm search

doveadm-search(1), Show a list of mailbox GUIDs and message UIDs matching given search query.

  doveadm stats

doveadm-stats(1), Inspect or reset stats.

  doveadm sync

doveadm-sync(1), Dovecot's two-way mailbox synchronization utility.

EXIT STATUS

doveadm will exit with one of the following values:

0

        Selected command was executed successful.

64

        Command line usage error.

65

        Data format error or operation is not possible.

67

        User does not exist.

68

        Input file, address or other resource does not exist.

73

        Cannot create output file.

75

        There was some temporary error, check logs.

76

        Protocol error during remote host connection.

77

        Permission error.

78

        Configuration error.

127

        Unknown error.

ENVIRONMENT

USER

        This environment variable is used to determine the user if a command accepts a user but none was specified.

FILES

/etc/dovecot/dovecot.conf

        Dovecot's main configuration file.

/etc/dovecot/conf.d/10-mail.conf

        Mailbox locations and namespaces.

/etc/dovecot/conf.d/90-plugin.conf

        Plugin specific settings.

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm-help(1)